curl --request PUT \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/vendors/{vendorId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
]
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/vendors/{vendorId}"
payload = {
"external_id": "<string>",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
individual_name: '<string>',
company_name: '<string>',
email: '<string>',
mobile_phone: '<string>',
office_phone: '<string>',
address_string: '<string>',
memo: '<string>',
tags: [
{
key: 'department',
value: 'sales',
dimension_display_name: 'Department',
value_display_name: 'Sales Department'
}
]
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/vendors/{vendorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
}Update vendor
Replaces an existing vendor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business the vendor belongs to
The UUID of the vendor to update
Body
External ID for the vendor
Name of individual vendor or contact
Name of company vendor
Email address
Mobile phone number
Office phone number
Physical address
Memo for any text you would like to associate with the vendor (for example, to display to end users).
Show child attributes
Show child attributes
Response
Vendor updated successfully
Unique identifier for the vendor.
Unique ID of the vendor in your system for linking purposes. Idempotency key.
Full name of the individual vendor or contact at a corporate vendor.
Name of the company vendor.
Email address of the vendor.
Mobile phone number of the vendor.
Office phone number of the vendor.
Address of the vendor.
Memo for any text you would like to associate with the vendor (for example, to display to end users).
Status of the vendor.
ACTIVE, ARCHIVED Show child attributes
Show child attributes